i2o_block_ioctl
Prev | I2O message devices | Next

## Name

i2o_block_ioctl — Issue device specific ioctl calls.

## Synopsis

`int i2o_block_ioctl (` | struct inode * | inode,
| struct file * | file,
| unsigned int | cmd,
| unsigned long | arg`)`;

## Arguments

`inode`

  inode for block device ioctl

`file`

  file for ioctl

`cmd`

  ioctl command

`arg`

  arg

## Description

Handles ioctl request for the block device.

Return 0 on success or negative error on failure.

Prev | Up | Next
i2o_block_release | Home | i2o_block_media_changed